Skip to main content
GET
/
teams
/
{id}
/
in-the-system
/
player-nationalities
Count By Nationalities
curl --request GET \
  --url 'https://api.eliteprospects.com/v1/teams/{id}/in-the-system/player-nationalities?apiKey='
{
  "_meta": {
    "generatedAt": "<string>",
    "offset": 123,
    "limit": 123,
    "totalRecords": 123
  },
  "_links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "nationality": {
        "slug": "<string>",
        "name": "<string>",
        "iso_3166_1_alpha_2": "<string>",
        "flagUrl": {
          "small": "<string>",
          "medium": "<string>"
        },
        "eliteprospectsUrlPath": "<string>",
        "updatedAt": "<string>",
        "_links": [
          "<string>"
        ]
      },
      "count": 123
    }
  ]
}

Authorizations

apiKey
string
query
required

Path Parameters

id
integer
required

Numeric ID of the team to get count by nationalities for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: nationality, count

Available options:
nationality,
count,
nationality.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
nationality,
-nationality,
count,
-count

Response

200 - application/json

A paginated list of count by nationalities.

_meta
object
data
object[]